CVE-2018-6596

CVE: CVE-2018-6596
Published: 2018-02-03T21:29Z
Vendor: debian
Products: debian_linux
Versions: 9.0,
Description Language: en
Description: webhooks/base.py in Anymail (aka django-anymail) before 1.2.1 is prone to a timing attack vulnerability on the WEBHOOK_AUTHORIZATION secret, which allows remote attackers to post arbitrary e-mail tracking events.
References:
https://bugs.debian.org/889450
https://github.com/anymail/django-anymail/commit/c07998304b4a31df4c61deddcb03d3607a04691b
https://github.com/anymail/django-anymail/commit/db586ede1fbb41dce21310ea28ae15a1cf1286c5
https://github.com/anymail/django-anymail/releases/tag/v1.2.1
https://github.com/anymail/django-anymail/releases/tag/v1.3
https://www.debian.org/security/2018/dsa-4107